/*Notas: 
1rem = 10px
*/


:root{/*Estableciendo colores fijos*/

    --Principal1: #fad768;
    --Principal2: #060401;
    --Principal3: #3F9384;
    --Secundario1: #E36900;
    --Secundario2: #F1F4FA;

    --fuentePrincipal: "Roboto", sans-serif;
}


html{/*Lo que afectará al HTML*/
    font-size: 62.5%;
    box-sizing: border-box; /*Box model*/
    scroll-behavior: smooth;
}
*, *:before, *:after {
    box-sizing: inherit;
}
html, body {
    width: 100%;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
    font-family: var(--fuentePrincipal);
    height: 100%;
}

/* Estandarizar todos los botones para que tengan el mismo estilo visual y efecto */
.boton,
.boton-m a,
.boton-o a,
.boton-t a,
.boton-pf a {
    text-decoration: none;
    background-color: var(--Principal3);
    color: var(--Secundario2);
    font-family: var(--fuentePrincipal);
    font-weight: bold;
    padding: 1.3rem 4rem;
    font-size: 1.5rem;
    border-radius: 2rem;
    text-transform: uppercase;
    display: inline-block;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    position: relative;
    overflow: hidden;
}

/* Brillo en hover para todos */
.boton::before,
.boton-m a::before,
.boton-o a::before,
.boton-t a::before,
.boton-pf a::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 50%;
    height: 100%;
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.3) 50%, rgba(255, 255, 255, 0) 100%);
    transform: skewX(-45deg);
    transition: left 0.5s ease;
}

/* Hover compartido */
.boton:hover,
.boton-m a:hover,
.boton-o a:hover,
.boton-t a:hover,
.boton-pf a:hover {
    background-color: var(--Principal1);
    color: var(--Principal2);
    transform: scale(1.05);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

.boton:hover::before,
.boton-m a:hover::before,
.boton-o a:hover::before,
.boton-t a:hover::before,
.boton-pf a:hover::before {
    left: 150%;
}


img, video {
    max-width: 100%;
    height: auto;
}

/*Textos*/
h1{
    font-family: var(--fuentePrincipal);
    font-size: 3.5rem;
}

h2{
    font-family: var(--fuentePrincipal);
    font-size: 2.5rem;
}

h3{
    font-family: var(--fuentePrincipal);
    font-size: 1.5rem;
}
p{
    font-family: var(--fuentePrincipal);
    font-size: 1.2rem;
}


                                                        /*Clases del header-Contenido*/
/*Inicio del menú superior*/

.cabecera {
    background-image: url('/assets/images/material/portada.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 100vh;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 2rem;
}

.menu-sup {
    position: absolute;
    top: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 2rem;
}

.navegacion-principal {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    max-width: 100%;
}

.menu-boton_esc {
    background: none;
    border: none;
    cursor: pointer;
    display: none; /* Oculto por defecto en pantallas grandes */
}

.menu-desplegable {
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 100%;
}

.menu-desplegable a {
    display: block;
    text-align: center;
    color: var(--Secundario2);
    text-decoration: none;
    font-size: 2rem;
    font-weight: bold;
    padding: 1rem;
    margin-top: 3rem;
    margin-right: 3rem;
    max-width: 100%;
}

.menu-desplegable img {
    width: 7rem;
    margin-left: 1rem;
    max-width: 100%;
}

.menu-desplegable a:hover {
    color: var(--Principal1);
}

.contenedor {
    max-width: 100%;
    margin: 0 auto;
}

/* Estilos para dispositivos pequeños */
@media (max-width: 1024px) {
    .menu-boton_esc {
        display: block; /* Mostrar el botón en pantallas pequeñas */
    }

    .menu-desplegable {
        display: none; /* Ocultar el menú por defecto */
        flex-direction: column;
        align-items: flex-start;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: rgba(0, 0, 0, 0.5); /* Fondo semi-transparente */
        padding: 1rem;
        
    }

    .menu-desplegable.mostrar {
        display: flex; /* Mostrar el menú cuando se agrega la clase 'mostrar' */
    }

    .menu-desplegable a {
        margin: 0;
        padding: 0.5rem 0;
        color: var(--Secundario2); /* Cambiar el color del texto para mejor legibilidad */
    }

    .menu-desplegable img {
        margin: 0 0 1rem 0;
    }
}
/*Fin del menú superior*/




/*Inicio de contenido de portada (Textos y logo)*/
.texto-portada {
    position: absolute;
    top: 65%;
    left: 8%;
    transform: translateY(-50%);
    text-align: center;
    max-width: calc(100% - 16%);
}

.texto-portada p {
    color: var(--Secundario2);
    font-size: 2rem;
    font-weight: bold;
}

.texto-portada h1 {
    color: var(--Secundario2);
    font-size: 5rem;
}

.boton {
    text-decoration: none;
    background-color: var(--Principal3);
    color: var(--Secundario2);
    font-family: var(--fuentePrincipal);
    font-weight: bold;
    padding: 1.3rem 6rem;
    font-size: 1.3rem;
    border-radius: 2rem;
    text-transform: uppercase;
    width: auto;
    display: inline-block;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    position: relative; /* Necesario para el pseudo-elemento */
    overflow: hidden; /* Oculta el "brillo" fuera del botón */
}

.boton::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 50%;
    height: 100%;
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.3) 50%, rgba(255, 255, 255, 0) 100%);
    transform: skewX(-45deg);
    transition: left 0.5s ease;
}

.boton:hover {
    background-color: var(--Principal1);
    color: var(--Principal2);
    transform: scale(1.05);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

.boton:hover::before {
    left: 150%;
}

.logo-er-portada {
    position: absolute;
    bottom: 15%;
    right: 8%;
    max-width: calc(100% - 16%);
}

.logo-er-portada img {
    width: 30rem;
}

/* Estilos para dispositivos móviles */
@media (max-width: 1024px) {
    .texto-portada {
        position: static; /* Cambiar a posición estática */
        transform: none; /* Eliminar la transformación */
        left: auto; /* Restablecer la posición */
        top: auto; /* Restablecer la posición */
        max-width: 100%; /* Ocupar todo el ancho */
    }

    .texto-portada h1 {
        font-size: 4rem; /* Ajustar el tamaño del título */
    }

    .logo-er-portada {
        position: static; /* Cambiar a posición estática */
        bottom: auto; /* Restablecer la posición */
        right: auto; /* Restablecer la posición */
        max-width: 80%; /* Ajustar el ancho del logo */
        margin-top: 5rem; /* Añadir margen superior */
        text-align: center; /* Centrar el logo */
        display: flex;
        justify-content: center;

    }

    .logo-er-portada img {
        width: 70%; /* Ajustar el ancho de la imagen del logo */

    }
}






/* CONTENIDO DE MISIÓN, VISIÓN Y VALORES */
.contenedor-1 {
    background-image: url(../images/material/Gif_Mision.gif);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin: 2rem; /* Márgenes ajustados para mejor responsividad */
    min-height: 80vh; /* Altura mínima ajustada */
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem; /* Padding ajustado */
}

.contenedor-1 h2 {
    font-size: 3rem; /* Tamaño de fuente inicial ajustado */
    text-transform: uppercase;
    color: var(--Secundario2);
}

.contenedor-1 p {
    font-size: 2.5rem; /* Tamaño de fuente inicial ajustado */
    text-align: justify;
    color: var(--Secundario2);
    margin-top: 2rem; /* Margen superior ajustado */
}

.mision-1 p,
.vision-1 p,
.identidad-1 p {
    padding: 0.5rem; /* Padding ajustado */
}

.mod-contenedor-1 {
    display: grid;
    grid-template-columns: 1fr; /* Una columna por defecto */
    gap: 1rem;
    text-align: center;
}

.boton-m {
    grid-column: 1 / -1;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 2rem auto; /* Margen ajustado */
}

/* Botón */
.boton-m a {
    text-decoration: none;
    background-color: var(--Principal3);
    padding: 1.5rem 3rem; /* Padding ajustado */
    border-radius: 2rem;
    font-size: 1.5rem; /* Tamaño de fuente ajustado */
    color: var(--Secundario2);
    transition: transform 0.2s ease, background-color 0.2s ease, box-shadow 0.2s ease;
}

.boton-m a:hover {
    background-color: var(--Principal1);
    color: var(--Principal2);
    transform: scale(0.95);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
}

/* Media queries para responsividad */
@media (max-width: 576px) { /* Pantallas pequeñas */
    .contenedor-1 h2 {
        font-size: 2rem;
    }

    .contenedor-1 p {
        font-size: 1.3rem;
    }

    .boton-m a {
        font-size: 1.3rem;
    }
}
@media (min-width: 576px) { /* Pantallas pequeñas */
    .contenedor-1 h2 {
        font-size: 2rem;
    }

    .contenedor-1 p {
        font-size: 1.3rem;
    }

    .boton-m a {
        font-size: 1.3rem;
    }
}

@media (min-width: 768px) { /* Pantallas medianas */
    .contenedor-1 {
        margin: 3rem;
        padding: 2rem;
    }

    .contenedor-1 h2 {
        font-size: 3rem;
    }

    .contenedor-1 p {
        font-size: 1.8rem;
    }

    .mod-contenedor-1 {
        grid-template-columns: repeat(3, 1fr);
    }

    .boton-m a {
        font-size: 1.5rem;
    }
}

@media (min-width: 992px) { /* Pantallas grandes */
    .contenedor-1 h2 {
        font-size: 3rem;
    }

    .contenedor-1 p {
        font-size: 1.8rem;
    }
}




/* Oferta educativa */
.contenedor-2 {
    background-color: #fad768;
    position: relative;
    padding: 1rem;
}

.oftEdu {
    text-align: center;
    /*max-width: 1000px;*/
    margin: 0 auto;
}

.oftEdu h2 {
    font-size: 3rem; /* Ajuste del tamaño de fuente */
    margin-bottom: 1.5rem;
    text-align: start;
}

.oftEdu-1 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2rem;
    padding: 2rem;
    align-items: center;
    grid-template-columns: 60% 40%;
}

.oftEdu-1 p {
    font-size: 2rem; /* Ajuste del tamaño de fuente */
    text-align: justify;
    align-items: center;
    margin-right: 2rem;
    margin-left: 2rem;
}

.oftEdu-1 img {
    width: 80%; /* Reducción del tamaño del GIF */
    max-width: 300px; /* Tamaño máximo del GIF */
    margin: 0 auto; /* Centrar el GIF */
    border-radius: 1rem;
}

.boton-o {
    display: flex;
    justify-content: center;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
}

.boton-o a {
    text-decoration: none;
    background-color: var(--Principal3);
    padding: 1.3rem 4rem;
    border-radius: 2rem;
    font-size: 2rem;
    color: var(--Secundario2);
    transition: transform 0.2s ease, background-color 0.2s ease, box-shadow 0.2s ease;
}

.boton-o a:hover {
    background-color: var(--Principal2);
    color: var(--Principal1);
    transform: scale(0.95); /* Escala ligeramente hacia abajo */
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
}

/* Media query para pantallas más grandes */
@media (max-width: 1024px) {
    .oftEdu-1 {
        grid-template-columns: 60% 40%;
    }

    .oftEdu-1 img {
        width: auto;
        max-width: 90%;
    }
    .oftEdu-1 p{
        font-size: 1.5rem;
        
    }
    .oftEdu-1 h2{
        font-size: 3rem;
    }
    .boton-o a {
        font-size: 1.5rem;
    }
    .boton-o {
        font-size: 1.5rem;;
    }
}
@media (max-width: 650px) {
    .oftEdu-1 {
        grid-template-columns: 60% 40%;
    }

    .oftEdu-1 img {
        width: auto;
        max-width: 90%;
    }
    .oftEdu-1 p{
        font-size: 1rem;
        
    }
    .oftEdu-1 h2{
        font-size: 2rem;
    }
    .boton-o a {
        font-size: 1rem;
    }
    .boton-o {
        font-size: 1rem;;
    }
}






/* Certificaciones */
.contenedor-3 {
    background-image: url(../images/material/fondo_certi.gif);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    margin: 3rem;
    min-height: 80vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
}

.certi {
    width: 100%;
}

.certi-1 {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    justify-items: center;
    align-items: center;
}

.certi-1 img {
    max-width: 100%;
    width: 15rem;
    height: auto;
    background-color: var(--Secundario2);
    border-radius: 1rem;
    transition: transform 0.3s ease, box-shadow 0.3s ease; /* Transiciones suaves */
}

.certi-1 img:hover {
    transform: scale(1.05); /* Ligero aumento de tamaño */
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.4); /* Sombra profunda */
}

.certi-1 a {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Media query para móviles */
@media (max-width: 768px) {
    .certi-1 {
        grid-template-columns: repeat(2, 1fr);
    }

    .certi-1 img {
        width: 50%;
    }
}



/* TESTIMONIOS */
.contenedor-4 {
    position: relative;
    background-color: #E36900;
}

.testimonios {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 3rem;
    align-items: center;
}

.texto {
    text-align: center;
}

.texto h2 {
    font-size: 4rem;
    color: var(--Secundario2);
}

.boton-t {
    margin-top: 2rem;
}

.boton-t a {
    text-decoration: none;
    background-color: var(--Principal1);
    padding: 1rem 2rem;
    border-radius: 2rem;
    font-size: 1.5rem;
    color: var(--Principal2);
}

.boton-t a:hover {
    background-color: var(--Principal2);
    color: var(--Secundario2);
}

/*Carrusel*/
.carousel-container {
    position: relative;
    width: 50%;
    margin: 50px auto;
    border-radius: 10px;
    overflow: hidden; /* Oculta el contenido que se desborda */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  }
  
  .carousel-video {
    width: 100%;
    display: none;
  }
  
  .carousel-prev,
  .carousel-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5); /* Fondo semitransparente */
    color: white;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
    font-size: 1em; /* Tamaño de los íconos */
    transition: background-color 0.3s ease; /* Transición suave */
    border-radius: 10rem;
  }
  
  .carousel-prev {
    left: 10px;
  }
  
  .carousel-next {
    right: 10px;
  }
  
  .carousel-prev:hover,
  .carousel-next:hover {
    background-color: rgba(0, 0, 0, 0.8); /* Oscurecer al pasar el mouse */
  }


/* Media queries para responsividad */
@media (max-width: 768px) {
    .testimonios {
        grid-template-columns: 1fr;
    }

    .container-carousel {
        width: 95%;
        height: 300px;
    }

    .texto h2 {
        font-size: 2.5rem;
    }
}





/* PREGUNTAS FRECUENTES */
.contenedor-5 {
    background-color: var(--Principal1);
    background-size: 100%;
    background-repeat: no-repeat;
    position: relative;
    height: auto;
    padding: 20px;
}

/* Diseño por defecto: horizontal (pantallas grandes) */
.pregFrec {
    display: grid;
    grid-template-columns: 50% 50%;
    gap: 20px;
    align-items: center;
}

.texto-pregfrec {
    margin: auto;
    max-width: 90%;
    text-align: center;
}

.texto-pregfrec h3 {
    font-size: 2.5rem;
    text-align: center;
}

.texto-pregfrec p {
    font-size: 1.6rem;
    text-align: justify;
    margin-top: 10px;
}

.boton-pf {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 20px;
}

.boton-pf a {
    text-decoration: none;
    background-color: var(--Principal2);
    padding: 1.2rem 3rem;
    border-radius: 2rem;
    font-size: 1.3rem;
    color: var(--Secundario2);
    margin-top: 10px;
}

.boton-pf a:hover {
    background-color: var(--Principal3);
    color: var(--Principal2);
}

.img-gif {
    justify-self: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.img-gif img {
    max-width: 90%;
    height: auto;
    border-radius: 2rem;
}

/* Media query para pantallas pequeñas: ahora vertical */
@media (max-width: 1023px) {
    .pregFrec {
        grid-template-columns: 1fr;
    }

    .texto-pregfrec {
        max-width: 95%;
    }

    .texto-pregfrec h3 {
        font-size: 2rem;
    }

    .texto-pregfrec p {
        font-size: 1.4rem;
    }

    .boton-pf a {
        font-size: 1.2rem;
        padding: 1rem 2.5rem;
    }

    .img-gif img {
        width: 100%;
    }
}



/*Fin de PREGUNTAS FRECUENTES*/




/*PROFESORES*/
.contenedor-6 {
    background-color: var(--Secundario2);
    padding: 50px;
}

.profesores {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    align-items: center;
    gap: 40px;
}

.img-profe {
    grid-column: 1;
    padding: 40px;
    width: 100%;
    display: flex;
    justify-content: center;
}

.img-profe img {
    border-radius: 2rem;
    max-width: 100%;
    height: auto;
    object-fit: cover;
}

.texto-profesores {
    grid-column: 2;
    padding: 40px;
}

.texto-profesores h3 {
    text-align: start;
    font-size: 3.2rem; /* más equilibrado */
}

.texto-profesores p {
    text-align: start;
    font-size: 2rem;
    margin-top: 10px;
}

/* MEDIA QUERY: Para pantallas pequeñas */
@media (max-width: 1024px) {
    .profesores {
        display: block;
    }

    .img-profe {
        width: 100%;
        padding: 0;
        margin-bottom: 30px;
    }

    .img-profe img {
        width: 100%;
        max-width: 500px;
        margin: 0 auto;
        display: block;
    }

    .texto-profesores {
        padding: 10px;
        text-align: center;
    }

    .texto-profesores h3 {
        font-size: 2.4rem;
        text-align: center;
    }

    .texto-profesores p {
        font-size: 1.6rem;
        text-align: center;
    }
}


/*Footer*/
.contenedor-7{
    background-color: var(--Principal2);
    padding: 50px;
}
.footer{
    display: grid;
}
.tit-footer{
    grid-row: 1;
}
.tit-footer h3{
    font-size: 3rem;
    color: var(--Secundario2);
}
.contacto-footer{
    grid-row: 2;
}
.contacto-footer p{
    color: var(--Secundario2);
    font-size: 2.5rem;
}
.info_contacto{
    grid-row: 3;
}
.icono_foot{
    width: 25%;
    height: auto;
    border-radius: 2rem;
    transition: transform 0.3s ease;
}
.icono_foot:hover{
    transform: scale(1.2);
}

.info_contacto p, h4{
    color: var(--Secundario2);
    font-size: 2rem;
}
.info_contacto h4{
    text-align: end;
}

@media (max-width: 768px) {
    .footer {
        flex-direction: row; /* Alineamos los elementos en fila */
        justify-content: space-around; /* Distribuimos el espacio */
        align-items: flex-start; /* Alineamos al inicio */
    }

    .tit-footer h3 {
        font-size: 3rem;
        margin-bottom: 0;
    }

    .contacto-footer,
    .info_contacto {
        text-align: left;
    }

    .contacto-footer p,
    .info_contacto p,
    .info_contacto h4 {
        font-size: 1.5rem;
    }
}

/* Media queries para pantallas grandes */
@media (max-width: 1024px) {
    .contacto-footer p,
    .info_contacto p,
    .info_contacto h4 {
        font-size: 2rem;
    }
}
















